
Redmine - Defect #30944

Redmine Custom Email Reminder - does not work / or i just cant install it properly

2019-03-01 08:13 - Milosz Klawa

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.1

Description

i have a problem with this plugin, i did all the install steps, i had some problems with some steps:

1) Clone repository to your plugins directory ($REDMINE_ROOT)/plugins

2) Create ruby file application_job.rb in ($REDMINE_ROOT)/app/jobs/application_job.rb with followi

ng content

    class ApplicationJob < ActiveJob::Base

      # Automatically retry jobs that encountered a deadlock

      # retry_on ActiveRecord::Deadlocked

      # Most jobs are safe to ignore if the underlying records are no longer available

      # discard_on ActiveJob::DeserializationError

    end

3) In your terminal execute bundle install at ($REDMINE_ROOT) to install needed gems

4) In your terminal execute rake redmine:plugins at ($REDMINE_ROOT) to perform database migration

5) In your terminal execute bundle exec whenever -i redmine_custom_reminder -f plugins/redmine_cus

tom_reminder/config/schedule.rb at ($REDMINE_ROOT)

 1. OK

2. OK

3. i think OK becouse i did not get any errors

4. rake redmine:plugins command had given me some errors

C:\Bitnami\redmine\apps\redmine\htdocs>rake redmine:plugins

rake aborted!

Mysql2::Error::ConnectionError: Access denied for user 'root'@'localhost' (using password: NO)

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/mysql2-0.5.2-x86-mingw32/lib/

mysql2/client.rb:90:in `connect'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/mysql2-0.5.2-x86-mingw32/lib/

mysql2/client.rb:90:in `initialize'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_adapters/mysql2_adapter.rb:22:in `new'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_adapters/mysql2_adapter.rb:22:in `mysql2_connection'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_adapters/abstract/connection_pool.rb:811:in `new_connection'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_adapters/abstract/connection_pool.rb:855:in `checkout_new_connection'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_adapters/abstract/connection_pool.rb:834:in `try_to_checkout_new_connection'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_adapters/abstract/connection_pool.rb:795:in `acquire_connection'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_adapters/abstract/connection_pool.rb:523:in `checkout'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_adapters/abstract/connection_pool.rb:382:in `connection'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_adapters/abstract/connection_pool.rb:1010:in `retrieve_connection'

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_handling.rb:118:in `retrieve_connection'
C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/activerecord-5.2.2/lib/active

_record/connection_handling.rb:90:in `connection'

C:/Bitnami/redmine/apps/redmine/htdocs/lib/redmine/plugin.rb:538:in `get_all_versions'

C:/Bitnami/redmine/apps/redmine/htdocs/lib/redmine/plugin.rb:546:in `current_version'

C:/Bitnami/redmine/apps/redmine/htdocs/lib/redmine/plugin.rb:528:in `migrate_plugin'

C:/Bitnami/redmine/apps/redmine/htdocs/lib/redmine/plugin.rb:471:in `migrate'

C:/Bitnami/redmine/apps/redmine/htdocs/lib/redmine/plugin.rb:485:in `block in migrate'

C:/Bitnami/redmine/apps/redmine/htdocs/lib/redmine/plugin.rb:484:in `each'

C:/Bitnami/redmine/apps/redmine/htdocs/lib/redmine/plugin.rb:484:in `migrate'

C:/Bitnami/redmine/apps/redmine/htdocs/lib/tasks/redmine.rake:135:in `block (3 levels) in <top (re

quired)>'

C:/Bitnami/redmine/apps/redmine/htdocs/lib/tasks/redmine.rake:57:in `block (2 levels) in <top (req

uired)>'

Tasks: TOP => redmine:plugins:migrate

(See full trace by running task with --trace)

 so i did:

rake redmine:plugins RAILS_ENV=production

 and i did not get any infolog just a new line without any message

5. and last i got an error while executing the last command

C:\Bitnami\redmine\apps\redmine\htdocs>bundle exec whenever -i redmine_custom_reminder -f plugins/

redmine_custom_reminder/config/schedule.rb

The system cannot find the path specified.

C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/whenever-0.10.0/lib/whenever/

command_line.rb:77:in `popen': No such file or directory - crontab - (Errno::ENOENT)

        from C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/whenever-0.10.0/

lib/whenever/command_line.rb:77:in `write_crontab'

        from C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/whenever-0.10.0/

lib/whenever/command_line.rb:38:in `run'

        from C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/whenever-0.10.0/

lib/whenever/command_line.rb:6:in `execute'

        from C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/gems/whenever-0.10.0/

bin/whenever:44:in `<top (required)>'

        from C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/bin/whenever:23:in `l

oad'

        from C:/Bitnami/redmine/apps/redmine/htdocs/vendor/bundle/ruby/2.4.0/bin/whenever:23:in `<

main>'

 could someone with more knolage help me with this ?

Environment:

  Redmine version                4.0.1.stable

  Ruby version                   2.4.5-p335 (2018-10-18) [i386-mingw32]

  Rails version                  5.2.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Git                            2.19.1

  Filesystem                     

Redmine plugins:

  redmine_activity_report        1.2.10

  redmine_banner                 0.2.0

  redmine_custom_reminder        0.6.3.db261d5

  redmine_issue_dynamic_edit     0.6.5

  redmine_lightbox2              0.5.0

  redmine_wysiwyg_editor         0.3.2

History

#1 - 2019-03-01 09:07 - Go MAEDA
- Category deleted (Core Plugins)

- Status changed from New to Closed

- Resolution set to Invalid

We know nothing about third-party plugins. I recommend you to ask the author of the plugin.

#2 - 2019-03-01 09:09 - Milosz Klawa

and How can i do that if there is no possibility to send a private message ?

You post this plugin on the site and now you tell us that we cant post a ticket abiut an error on it ?

#3 - 2019-03-01 09:10 - Milosz Klawa

- Status changed from Closed to Reopened

#4 - 2019-03-01 09:15 - Marius BĂLTEANU

- Status changed from Reopened to Closed

Milosz, you can try opening an issue on GitHub where the plugin seems to be hosted: https://github.com/woblavobla/redmine_custom_reminder.

Another option is to review his plugin on redmine.org and add to the comments your issue.

Please understand that the issue tracking is only for Redmine core.

#5 - 2019-03-01 09:20 - Milosz Klawa

ok, sorry for my behawior

#6 - 2019-03-01 11:59 - Marius BĂLTEANU

Milosz Klawa wrote:

ok, sorry for my behawior

 Don't worry :)
